## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMovableListener Struct Reference
[Crystal Space 3D Engine]

Implement this class if you're interested in hearing about movable changes. More...

`#include <iengine/movable.h>`

Inheritance diagram for iMovableListener:

[legend]
List of all members.

## Public Member Functions

virtual void | MovableChanged (iMovable *movable)=0
| The movable has changed.
virtual void | MovableDestroyed (iMovable *movable)=0
| The movable is about to be destroyed.

## Detailed Description

Implement this class if you're interested in hearing about movable changes.

Definition at line 45 of file movable.h.

## Member Function Documentation

virtual void iMovableListener::MovableChanged | ( | iMovable * | movable | ) | `[pure virtual]`

| The movable has changed. This is called whenever something does UpdateMove() on the movable.

virtual void iMovableListener::MovableDestroyed | ( | iMovable * | movable | ) | `[pure virtual]`

| The movable is about to be destroyed.

The documentation for this struct was generated from the following file:

- iengine/movable.h